#ifndef __LIBW83627_H_
#define	__LIBW83627_H_

#include <sys/ioctl.h>

#ifdef __cplusplus
    extern "C" {
#endif

typedef unsigned char   u8;
typedef int   i32;
typedef char  i8;
typedef short   i16;
typedef unsigned short u16;
typedef unsigned int u32;

int libw83627_init(void);
void lib_close(void);

/*Watch Dog*/
//timevalue 1~255, timetype 0:sec 1:mins
void wdt_start(int _timevalue);
void wdt_stop(void);
int get_wdt_count(void);

#if 1
/*GPIO*/
int get_gpi_status(int pin);
int get_gpo_status(int pin);
void set_gpo(int pin, int value);
#endif

/*LCM*/

i32 displayLcm(int mode);
i32 setPositionLcm(i32 row, i32 column);
i32 getPositionLcm(i32 *row, i32 *column);
i32 cursorLcm(int mode);
i32 cursorActionLcm(i32 type);
i32 clrscrLcm(void);
i32 showLcm(i32 length, u8* info);
i32 getKeyLcm(void);
int getLcmMode(void);
void getLCMPICVER(char *ver);
int setBacklight(int mode);
void graphicwritelcm(int x, int y, unsigned char data);

/*LAN BYPASS*/
int get_bypass_firmware_ver(char *ver);
int set_bypass_wdt(int pair, int time); //0-255, 0:stop
int set_bypass_wdt_action(int pair, int action);
int get_bypass_wdt_action(int pair);
int set_bypass_poweron_action(int pair, int action);
int get_bypass_poweron_action(int pair);
int set_bypass_poweroff_action(int pair, int action);
int get_bypass_poweroff_action(int pair);
int set_bypass_current_action(int pair, int action);
int get_bypass_current_action(int pair);

#define HOME 0x01
#define MOVERIGHT 0x02
#define MOVELEFT 0x03
#define MOVEBACK 0x04

#define UP 0x01
#define DOWN 0x02
#define RIGHT 0x03
#define LEFT  0x04
#define NONE	0x00

#define CHARMODE	0x05
#define GRAPHICMODE	0x06



#ifdef __cplusplus
    }
#endif

#endif //LIBW83627_H_
